from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XRowSetApproveBroadcaster(XInterface, Protocol):
    def addRowSetApproveListener(self, listener: inXRowSetApproveListener) -> None: ...
    def removeRowSetApproveListener(self, listener: inXRowSetApproveListener) -> None: ...
